Skip to main content

Notification Rules

The Notification Rule Object​

PropertyTypeDescription
namestringThe name of the notification rule.
enabledbooleanBoolean indicating if this notification rule is currently enabled. If false, it will just notify users via their default notification channels.
rulesstringYAML definition of the notification rule. See notification rules documentation.

Create a Notification Rule​

POST https://api.pagertree.com/api/v4/notification_rules

Allowed Parameters​

def notification_rule_params
params.permit(
:name,
:enabled,
:rules
)
end

Required Parameters​

  • name

Retrieve a Notification Rule​

GET https://api.pagertree.com/api/v4/notification_rules/:id

Update a Notification Rule​

PUT https://api.pagertree.com/api/v4/notification_rules/:id

Delete a Notification Rule​

DELETE https://api.pagertree.com/api/v4/notification_rules/:id

List all Notification Rules​

GET https://api.pagertree.com/api/v4/notification_rules